Sign inGet started

Runs

GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Parametri di query
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Payload della risposta
results
array of object
Mostra attributi secondari
results.id
string
obbligatorio
results.approvalFlowId
string
obbligatorio
results.organizationId
string
results.workspaceId
string
results.status
string
obbligatorio
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Mostra attributi secondari
results.invoker.type
string
obbligatorio
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
obbligatorio
ID of the entity that invoked the run.
results.tags
array of object
obbligatorio
Mostra attributi secondari
results.tags.key
string
obbligatorio
results.tags.value
string
obbligatorio
results.results
array of object
obbligatorio
Mostra attributi secondari
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Mostra attributi secondari
results.results.reviewer.type
string
obbligatorio
Possible values: user
results.results.reviewer.id
string
obbligatorio
results.results.userId
string
results.results.result
string
obbligatorio
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Payload della risposta
id
string
obbligatorio
approvalFlowId
string
obbligatorio
organizationId
string
workspaceId
string
status
string
obbligatorio
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Mostra attributi secondari
invoker.type
string
obbligatorio
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
obbligatorio
ID of the entity that invoked the run.
tags
array of object
obbligatorio
Mostra attributi secondari
tags.key
string
obbligatorio
tags.value
string
obbligatorio
results
array of object
obbligatorio
Mostra attributi secondari
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Mostra attributi secondari
results.reviewer.type
string
obbligatorio
Possible values: user
results.reviewer.id
string
obbligatorio
results.userId
string
results.result
string
obbligatorio
Possible values: approved, rejected
results.comment
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'